# artifactSelection

abstract fun artifactSelection(action: Action<in ArtifactSelectionDetails>)

Configures the artifact selection for the substitution. This is a convenience method which allows selecting, typically, different artifact classifiers for the same component. Artifact selection matters for components which are not published with Gradle Module Metadata and therefore do not provide proper variants to reason with.

#### Since

6.6

#### Parameters

action

the artifact selection configuration action